import matplotlib.pyplot as plt

experiments = ["exp4_no_disk_no_disp", "exp4_hdd", "exp4_display", "exp4_display_hdd"]
experiments_names = [ "rpi", "rpi+hdd", "rpi+disp", "rpi+disp+hdd" ]
measurements = ["aptupdate", "stress_1", "stress_2", "stress_3", "stress_4"]

for m in measurements:
	fig, (axI, axU) = plt.subplots(2, 1)
	fig.suptitle(m, fontsize=18)
	# = axI.twinx()

	axI.set_ylim(bottom=0, top=1.5)
	axU.set_ylim(bottom=0, top=5.5)

	for i in range(4):
		ex = experiments[i]
		ex_name = experiments_names[i]
		with open(ex + '/' + m + '_samples.txt') as f:
			samples = [(float(x.split("; ")[0].strip("A\n")), float(x.split("; ")[1].strip("V\n"))) for x in f.readlines()]
			samples_I = [x[0] for x in samples]
			samples_U = [x[1] for x in samples]

			axI.plot(samples_I, label=ex_name)
			axU.plot(samples_U, label=ex_name)

	axI.legend(loc='lower center', ncol = 4)
	axU.legend(loc='lower center', ncol = 4)
	plt.tight_layout()
	plt.show()

